Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: martin rudalics <[email-masked]>
Date: Wed, 24 Apr 2013 08:38:43 +0200

>> When you remove the scrollbars the Emacs frame shrinks.  When you
 >> remove the fringes it does not shrink.  Yet, when changing frame
 >> sizes we are expected to handle fringes and scrollbars alike: They
 >> are no text, they are no windows and therefore should not be counted
 >> in the width of the frame's text area.
 >
 > I think this peculiar handling of the fringes is because of the desire
 > to count the display margins, if they are present, as part of the text
 > area.

Then this is a bad desire.  Otherwise, how would you explain that when
removing fringes first and scrollbars afterwards, Emacs reduces the frame
width by both.  Removing scrollbars first and fringes afterwards, reduces
the frame width by the width of the scrollbars only.

martin